# Glossary

| Term                                        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Air Resources Board Offset Credits (ARBOCs) | The name for the offset credits issued by the California Air Resources Board. ARBOCs are eligible for compliance use in the state’s cap-and-trade program. Each ARBOC is worth 1 metric tCO2e.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Assessment Area                             | A forest type that spans the full geographic extent of a supersection. Each supersection contains one or more assessment areas, each with a distinct estimate of common practice that is based on the average carbon stock for this forest type from USFS FIA data.                                                                                                                                                                                                                                                                                                                                                                           |
| Baseline scenario                           | A carbon offset has a project scenario and a baseline scenario. The baseline scenario describes the emissions outcomes that would happen counterfactually in the absence of an offset project, i.e. what would happen if the offset project is not pursued. By definition, an offset project’s baseline scenario cannot be observed because it does not occur.                                                                                                                                                                                                                                                                                |
| California Air Resources Board (CARB)       | California’s climate change regulator, which is responsible for the state’s cap-and-trade and compliance carbon offsets program. CARB imported the core architecture of the US Forest Project protocol from an earlier Climate Action Reserve protocol in its 2011 and 2014 US Forest Projects protocols, then subsequently updated common practice numbers in coordination with USFS for its 2015 protocol revision.                                                                                                                                                                                                                         |
| Common practice                             | The average carbon stock (tCO2/acre) in a given assessment area, as calculated across an entire supersection.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| Initial carbon stock (ICS)                  | A measure of the standing live aboveground carbon stock in a given forest. Improved forest management (IFM) projects receive large upfront credits in their first reporting period (RP1) when their ICS exceeds the 100-year average carbon stock in their baseline scenario.                                                                                                                                                                                                                                                                                                                                                                 |
| IFM-1                                       | A component of the “GHG boundary” for which greenhouse gas emission reductions can be credited, representing onsite standing live tree carbon, both above and belowground, in either the baseline or project scenario. Reported in an offset project’s OPDR.                                                                                                                                                                                                                                                                                                                                                                                  |
| IFM-3                                       | A component of the “GHG boundary” for which greenhouse gas emission reductions can be credited, representing the amount of onsite standing dead tree carbon, in either the baseline or project scenario. Reported in an offset project’s OPDR.                                                                                                                                                                                                                                                                                                                                                                                                |
| IFM-7                                       | A component of the “GHG boundary” for which greenhouse gas emission reductions can be credited, representing the amount of carbon stored within “in-use” wood products, in either the baseline or project scenario. Reported in an offset project’s OPDR.                                                                                                                                                                                                                                                                                                                                                                                     |
| IFM-8                                       | A component of the “GHG boundary” for which greenhouse gas emission reductions can be credited, representing the amount of carbon stored within “land-filled” wood products, in either the baseline or project scenario. Reported in an offset project’s OPDR.                                                                                                                                                                                                                                                                                                                                                                                |
| Offset project data reports (OPDRs)         | A standardized public reporting document required for each offset project and filed with one of the private carbon offset registries that helps CARB implement its compliance offset program. OPDRs contain critical information about offset projects, including species-level data, baseline, and project scenario information, and serve as the basis for the calculations a project developer makes to claim credits from CARB. Using a critical subset of these data (IFM-1, IFM-3, IFM-7, and IFM-8) we are able to re-calculate the number of offset credits that should be issued to any publicly listed offset project with an OPDR. |
| Project scenario                            | A carbon offset has a project scenario and a baseline scenario. The project scenario is the scenario that describes the emissions outcomes when an offset project is implemented, i.e. what a project claims will happen in reality if pursued.                                                                                                                                                                                                                                                                                                                                                                                               |
| RP1                                         | Reporting Period 1, the first reporting period for offset projects’ documentation.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| Supersection                                | The geographic unit of analysis in California’s forest offsets protocol. CAR originally created supersections in the continental United States by combining together multiple ecosections to form supersections. Each supersection has one or more assessment areas, each with a distinct estimate of common practice. CARB adopted CAR’s supersections for use in its compliance offsets program, adding Alaska in its 2015 US Forest Projects protocol.                                                                                                                                                                                     |
